org.apache.jmeter.extractor.json.jsonpath

## Class JSONPostProcessor

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.testelement.AbstractScopedTestElement
    - - org.apache.jmeter.extractor.json.jsonpath.JSONPostProcessor

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, PostProcessor, TestElement, ThreadListener

    public class JSONPostProcessor
    extends AbstractScopedTestElement
    implements Serializable, PostProcessor, ThreadListener

JSON-PATH based extractor

Since:
  3.0
See Also:
  Serialized Form

### Field Summary

Fields
`static boolean` `COMPUTE_CONCATENATION_DEFAULT_VALUE`

### Fields inherited from interface org.apache.jmeter.testelement.TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`JSONPostProcessor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `getComputeConcatenation()`
`String` `getDefaultValues()`
`String` `getJsonPathExpressions()`
`String` `getMatchNumbers()`
`int[]` `getMatchNumbersAsInt(int arraySize)`
`String` `getRefNames()`
`void` `process()` Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.
`void` `setComputeConcatenation(boolean computeConcatenation)`
`void` `setDefaultValues(String defaultValue)`
`void` `setJsonPathExpressions(String jsonPath)`
`void` `setMatchNumbers(String matchNumber)`
`void` `setRefNames(String refName)`
`void` `threadFinished()` Called for each thread after all samples have been processed.
`void` `threadStarted()` Called for each thread before starting sampling.

### Methods inherited from class org.apache.jmeter.testelement.AbstractScopedTestElement

`fetchScope, getSampleList, getScopeName, getVariableName, isScopeAll, isScopeChildren, isScopeParent, isScopeVariable, isScopeVariable, setScopeAll, setScopeChildren, setScopeParent, setScopeVariable`

### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.testelement.TestElement

`removed`

### Field Detail

#### COMPUTE_CONCATENATION_DEFAULT_VALUE

    public static final boolean COMPUTE_CONCATENATION_DEFAULT_VALUE

See Also:
  Constant Field Values

### Constructor Detail

#### JSONPostProcessor

    public JSONPostProcessor()

### Method Detail

#### process

    public void process()

Description copied from interface: `PostProcessor`
Provides the PostProcessor with a SampleResult object from which to extract values for use in future Queries.

Specified by:
  `process` in interface `PostProcessor`

#### getJsonPathExpressions

    public String getJsonPathExpressions()

#### setJsonPathExpressions

    public void setJsonPathExpressions(String jsonPath)

#### getRefNames

    public String getRefNames()

#### setRefNames

    public void setRefNames(String refName)

#### getDefaultValues

    public String getDefaultValues()

#### setDefaultValues

    public void setDefaultValues(String defaultValue)

#### getComputeConcatenation

    public boolean getComputeConcatenation()

#### setComputeConcatenation

    public void setComputeConcatenation(boolean computeConcatenation)

#### threadStarted

    public void threadStarted()

Description copied from interface: `ThreadListener`
Called for each thread before starting sampling. WARNING: this is called before any Config test elements are processed, so any properties they define will not have been merged in yet. See org.apache.jmeter.threads.JMeterThread#threadStarted()

Specified by:
  `threadStarted` in interface `ThreadListener`

#### threadFinished

    public void threadFinished()

Description copied from interface: `ThreadListener`
Called for each thread after all samples have been processed. See org.apache.jmeter.threads.JMeterThread#threadFinished(org.apache.jmeter.engine.event.LoopIterationListener)

Specified by:
  `threadFinished` in interface `ThreadListener`

#### setMatchNumbers

    public void setMatchNumbers(String matchNumber)

#### getMatchNumbers

    public String getMatchNumbers()

#### getMatchNumbersAsInt

    public int[] getMatchNumbersAsInt(int arraySize)